<HTML>
<HEAD>
<!-- This HTML file has been created by texi2html 1.54
     from suifmath.texi on 28 April 1999 -->

<TITLE>The SUIFMATH Library - Matrix Math</TITLE>
<link href="suifmath_6.html" rel=Next>
<link href="suifmath_4.html" rel=Previous>
<link href="suifmath_toc.html" rel=ToC>

</HEAD>
<BODY>
<p>Go to the <A HREF="suifmath_1.html">first</A>, <A HREF="suifmath_4.html">previous</A>, <A HREF="suifmath_6.html">next</A>, <A HREF="suifmath_37.html">last</A> section, <A HREF="suifmath_toc.html">table of contents</A>.
<P><HR><P>


<H2><A NAME="SEC5" HREF="suifmath_toc.html#TOC5">Matrix Math</A></H2>
<P>
<A NAME="IDX90"></A>
<A NAME="IDX91"></A>

</P>
<P>
This section describes the mathematical functions available on matrices. 
The symbols <VAR>A</VAR>, <VAR>B</VAR> and  <VAR>C</VAR> are of the class
<CODE>integer_matrix</CODE>, <VAR>x</VAR>, <VAR>i</VAR> and <VAR>j</VAR> are
integers and <VAR>b</VAR> is a boolean.

</P>
<DL COMPACT>

<DT><CODE>x = A[i][j];</CODE>
<DD>
<DT><CODE>A[i][j] = y;</CODE>
<DD>
Read and modify element (<VAR>i</VAR>,<VAR>j</VAR>) of matrix <VAR>A</VAR>.
<A NAME="IDX92"></A>

<DT><CODE>A[i] = B[j];</CODE>
<DD>
Update the <VAR>i</VAR>-th row of <VAR>A</VAR> by the <VAR>j</VAR>-th row of <VAR>B</VAR>.
<A NAME="IDX93"></A>

<DT><CODE>b = (A == B);</CODE>
<DD>
Is matrix <VAR>A</VAR> and <VAR>B</VAR> are identical?  (<VAR>!=</VAR> is also available)
<A NAME="IDX94"></A>
<A NAME="IDX95"></A>
<A NAME="IDX96"></A>

<DT><CODE>C = A + B;</CODE>
<DD>
Add the two matrices <VAR>A</VAR> and <VAR>B</VAR> and results in <VAR>C</VAR>.
<A NAME="IDX97"></A>
<A NAME="IDX98"></A>

<DT><CODE>C = A - B;</CODE>
<DD>
Subtract the two matrices <VAR>A</VAR> and <VAR>B</VAR> and results in
<VAR>C</VAR>.
<A NAME="IDX99"></A>
<A NAME="IDX100"></A>

<DT><CODE>C = A * B;</CODE>
<DD>
Multiply matrices <VAR>A</VAR> and <VAR>B</VAR> and put results in the matrix
<VAR>C</VAR>.  
<A NAME="IDX101"></A>
<A NAME="IDX102"></A>

<DT><CODE>C += A;</CODE>
<DD>
Add <VAR>A</VAR> to matrix <VAR>C</VAR>.
<A NAME="IDX103"></A>
<A NAME="IDX104"></A>

<DT><CODE>C -= A;</CODE>
<DD>
Subtract <VAR>A</VAR> from matrix <VAR>C</VAR>.
<A NAME="IDX105"></A>
<A NAME="IDX106"></A>

<DT><CODE>C *= A;</CODE>
<DD>
Multiply <VAR>C</VAR> by the matrix <VAR>A</VAR>.
<A NAME="IDX107"></A>
<A NAME="IDX108"></A>

<DT><CODE>C = A + x;</CODE>
<DD>
Add the integer <VAR>x</VAR> to each element of <VAR>A</VAR> and put results in
<VAR>C</VAR>. 
<A NAME="IDX109"></A>
<A NAME="IDX110"></A>

<DT><CODE>C = A - x;</CODE>
<DD>
Subtract the integer <VAR>x</VAR> form each element of <VAR>A</VAR> and put
results in the matrix <VAR>C</VAR>. 
<A NAME="IDX111"></A>
<A NAME="IDX112"></A>

<DT><CODE>C = A * x;</CODE>
<DD>
Multiply each element of <VAR>A</VAR> by the integer <VAR>x</VAR> and put
results in the matrix <VAR>C</VAR>. 
<A NAME="IDX113"></A>
<A NAME="IDX114"></A>

<DT><CODE>C = A / x;</CODE>
<DD>
Divide each element of <VAR>A</VAR> by the integer <VAR>x</VAR> and put results
in the matrix <VAR>C</VAR>. 
<A NAME="IDX115"></A>
<A NAME="IDX116"></A>

<DT><CODE>C += x;</CODE>
<DD>
Add the integer <VAR>x</VAR> to each element of <VAR>C</VAR>.
<A NAME="IDX117"></A>
<A NAME="IDX118"></A>

<DT><CODE>C -= x;</CODE>
<DD>
Subtract the integer <VAR>x</VAR> from each element of <VAR>C</VAR>.
<A NAME="IDX119"></A>
<A NAME="IDX120"></A>

<DT><CODE>C *= x;</CODE>
<DD>
Multiply each element of <VAR>A</VAR> by the integer <VAR>x</VAR>.
<A NAME="IDX121"></A>
<A NAME="IDX122"></A>

<DT><CODE>C /= x;</CODE>
<DD>
Divide each element of <VAR>A</VAR> by the integer <VAR>x</VAR>.
<A NAME="IDX123"></A>
<A NAME="IDX124"></A>

<DT><CODE>x = A.determinant();</CODE>
<DD>
<VAR>x</VAR> gets the determinant of <VAR>A</VAR>.
<A NAME="IDX125"></A>

<DT><CODE>C = A.transpose();</CODE>
<DD>
Matrix <VAR>C</VAR> gets the transpose of <VAR>A</VAR>.
<A NAME="IDX126"></A>

<DT><CODE>C = A.inverse();</CODE>
<DD>
Matrix <VAR>C</VAR> gets the inverse of <VAR>A</VAR>.
<A NAME="IDX127"></A>

<DT><CODE>C = A.inverse(&#38;x);</CODE>
<DD>
Matrix <VAR>C</VAR> gets the inverse of <VAR>A</VAR> and the integer <VAR>x</VAR> is
the determinant. 
<A NAME="IDX128"></A>
</DL>

<P><HR><P>
<p>Go to the <A HREF="suifmath_1.html">first</A>, <A HREF="suifmath_4.html">previous</A>, <A HREF="suifmath_6.html">next</A>, <A HREF="suifmath_37.html">last</A> section, <A HREF="suifmath_toc.html">table of contents</A>.
</BODY>
</HTML>
